<?php
defined( 'ABSPATH' ) || exit;

// func :: webinarIgnition_dbug
// --------------------------------------------------------------------------------------
function webinarIgnition_dbug()
{
	$cvs = phpversion();                                  // current version string
	$rvs = '5.4.9';                                       // required version string

	if ( version_compare( $cvs, $rvs, '<' )) {
		echo '<br>
               <div class="error" style="display:inline-block; padding:12px; margin-left:2px; margin-top:20px"><b>'.__( "WARNING !!", "webinarignition").'</b><br>'.__( "This plugin requires at least PHP version", "webinarignition"). ' ' .$rvs.' ' . __( "but this server's installed version is older:", "webinarignition"). ' '. $cvs.'<br><br>'
		     .__( "It is <b>strongly</b> recommended that you contact your hosting provider to upgrade your PHP installation to the required version or better.<br> If you ignore this, your software will throw errors or cause unwanted problems.", "webinarignition")
		     .'</div>';
	}
}
// --------------------------------------------------------------------------------------


function webinarignition_dashboard()
{
	$input_get     = filter_input_array(INPUT_GET);
	// fix :: notice on outdated PHP version
	// --------------------------------------------------------------------------------------
	webinarIgnition_dbug();
	// --------------------------------------------------------------------------------------

	// Universal Variables

	$sitePath = WEBINARIGNITION_URL;

	//UI FRAMEWORK
	include("ui-core.php");
	include("ui-com2.php");
	include("js-core.php");

	// Acitvation Look Up ::
	global $wpdb;
	$statusCheck = WebinarignitionLicense::get_license_level();
	$license_title = !empty($statusCheck->title) ? $statusCheck->title : __( 'Free', 'webinarignition' );
	$license_name = !empty($statusCheck->name) ? $statusCheck->name : __( 'Free', 'webinarignition' );

	$promo_expired = (current_time('U', 1) > 1672549199 );
	$is_basic_pro = in_array($statusCheck->switch, ['pro','basic']);
	$webinarignition_dashboard_link = admin_url('?page=webinarignition-dashboard');
	$optin_button_text = __( 'Opt-in to see: Account, Free Trial & Evergreen', 'webinarignition' );
	?>

    <div id="mWrapper">
        <div id="mHeader">
            <div id="mLogo">
                <div class="mLogoIMG">
	                <?php if(!$is_basic_pro):?>
                    <a href="<?php echo $webinarignition_dashboard_link ?>"><img class="welogo" style="padding-top: 17px;" src="<?php echo WEBINARIGNITION_URL; ?>images/webinarignition.png" width="284" alt="" border="0"></a>
	                <?php else: ?>
                    <img class="welogo" style="padding-top: 10px;" src="<?php echo WEBINARIGNITION_URL; ?>images/webinarignition-white-grey.png" width="284" alt="" border="0">
                    <br>
                    <span><a href="<?php echo $webinarignition_dashboard_link ?>"><?php _e('Upgrade to Ultimate now!', 'webinarignition'); ?></a>
	                <?php endif; ?>
                </div>

                <h3 id="licenseTitle"><?php  echo $license_title; ?></h3>

				<?php
				if (

					empty($statusCheck) ||
					$statusCheck->switch == "" ||
					!empty($statusCheck->is_fs) ||
					empty($statusCheck->keyused)
				) {

				} else {
					if (!isset($input_get['id']) && !isset($input_get['create'])) {
						?>
                        <button
                                data-toggle="collapse"
                                data-target="#unlockFormsContainer"
                                aria-expanded="false"
                                aria-controls="unlockFormsContainer"
                                class="btn btn-primary mSupport"
                                title="<?php  _e( 'License bought before 01/2021', 'webinarignition' ); ?>"
                        >
                            <i class="icon-key" style="margin-right: 5px;"></i>
							<?php  _e( 'Manage license', 'webinarignition' ); ?>
                        </button>
						<?php
					}
				}

				if (
					!empty($statusCheck->reconnect_url) &&
					$statusCheck->switch === 'free'
				) {
					?>
                    <a href="<?php echo $statusCheck->reconnect_url; ?>" class="btn btn-primary mSupport">
						<?php echo $optin_button_text; ?>
                    </a>
					<?php
				}

				if (!empty($statusCheck->account_url)) {
					?>
                    <a href="<?php echo $statusCheck->account_url; ?>" class="btn btn-primary mSupport" title="<?php  _e( 'License bought after 01/2021', 'webinarignition' ); ?>">
                        <i class="icon-user" style="margin-right: 5px;"></i>
                        Freemius <?php  _e( 'Account', 'webinarignition' ); ?>
                    </a>
					<?php
				}
				?>

                <a href="<?php echo get_admin_url() . 'admin.php?page=webinarignition_support'; ?>" class="btn btn-primary mSupport"><i class="icon-question-sign" style="margin-right: 5px;"></i> <?php  _e( 'Solution Center', 'webinarignition' ); ?></a>
            </div>
        </div>
		<?php
		if ( empty($statusCheck) || $statusCheck->switch == 'free') { // Free License
			// Not Active
			?>
            <div id="container">
                <div class="unlockTitle<?php echo !isset($input_get['id']) && !isset($input_get['create']) ? '' : ' noBorder'; ?>">
					<?php webinarignition_display_dev_info_section($statusCheck); ?>

					<?php
					if (!isset($input_get['id']) && !isset($input_get['create'])) {
						?>
                        <div class="unlockTitle3">
	                        <?php


	                        if( in_array( $statusCheck->switch, array('basic', 'pro', 'free') ) && WebinarIgnition::is_plugin_update_available() ): ?>
                                <div class="former-license-update-message" style="text-align:center; color:orangered; font-size: 1.5rem; margin:10px 0;">
                                    <span><?php esc_html_e('Major & Manual Update Available.', 'webinarignition'); ?></span>
                                    <a class="wi-dashboard-link" style="color:orangered" href="<?php echo esc_url( admin_url('plugins.php?s='. WebinarIgnition::get_plugin_basename() . '&plugin_status=upgrade') ); ?>">
                                        <?php esc_html_e('Click Here To Update!', 'webinarignition'); ?>
                                    </a>
                                </div>
	                        <?php endif; ?>

                            <p>
								<?php echo sprintf(' ' . __( 'You are currently using the %s version.', 'webinarignition' ), $license_title ); ?>
                            </p>

							<?php
							$free_message = WebinarignitionLicense::get_free_limitation_message();
							if (!empty($free_message)) {
								echo $free_message;
							}
							?>
                            <p>
								<?php  _e( 'If you already upgraded your license but still do not see it, please check your mail box and activate using activation link.', 'webinarignition' ); ?>
                            </p>
							<?php
							if (!empty($statusCheck->reconnect_url)) {
								?>
                                <p>
									<?php echo sprintf( __('If "Account" page not available, click "%s" button at the top right corner, on next page click "Allow & Continue" button. After this your account page will be available under WebinarIgnition menu..', 'webinarignition'),  $optin_button_text ); ?>
                                </p>
								<?php
							} else {
								?>
                                <p>
									<?php  _e( 'In some cases you need manually sync freemius account info to activate license for your plugin. In order to do this, visit "Account" page and click "Sync" link at the top right corner. Or on plugins page click "Activate license" link below "WebinarIgnition" plugin title.', 'webinarignition' ); ?>
                                </p>
								<?php
							}
							?>
                        </div>
						<?php
					}
					?>
                </div>

				<?php
				if (!isset($input_get['id']) && !isset($input_get['create'])) {
					?>
                    <div class="unlockTitle noBorder">
						<?php
						webinarignition_display_upgrade_buttons($statusCheck);

						if (empty($statusCheck->is_trial)) {
							?>
                            <button type="button" class="btn btn-link" data-toggle="collapse" data-target="#unlockFormsContainer" aria-expanded="false" aria-controls="unlockFormsContainer">
								<?php  _e( 'I have Webinarignition.com key', 'webinarignition' ); ?>
                                (<?php  _e( 'license bought before 01/2021', 'webinarignition' ); ?>)
                            </button>
							<?php
						}
						?>
                    </div>

					<?php webinarignition_display_manage_license_form($statusCheck); ?>

					<?php
				}
				?>
            </div>
			<?php
		} elseif ($statusCheck->switch == "basic") { // Basic License
			?>
            <div id="container">
                <div class="unlockTitle noBorder">
					<?php webinarignition_display_dev_info_section($statusCheck); ?>

					<?php webinarignition_display_manage_license_form($statusCheck); ?>

					<?php
					if (!isset($input_get['id']) && !isset($input_get['create'])) {
						?>
                        <div class="unlockTitle3">
                            <p>
								<?php echo sprintf(' ' . __( 'You are currently using %s version.', 'webinarignition' ), $license_title ); ?>
                            </p>
                            <p>
								<?php  _e( 'You can create only Live webinars for unlimited attendees per month.', 'webinarignition' ); ?>
								<?php  _e( 'Already created Evergreen webinars available for editing, but registration is closed.', 'webinarignition' ); ?>
                            </p>

							<?php // Basic License

							if (!empty($statusCheck->show_freemius_btn)) {
								?>
                                <p><?php  _e( 'If you want more, please upgrade to the Ultimate version (new Freemius license system).', 'webinarignition' ); ?></p>
                                <div style="width: 60%;margin: 0 auto; padding: 10px;">
                                    <p><img src="https://webinarignition.com/wp-content/uploads/success-boost-now_no-border.gif" width="100%"></p>
                                </div>
                                <p>
									<?php  _e( 'We have a special offer just for you. Are you interested?', 'webinarignition' ); ?>
									<?php  _e( 'Please, click "Allow & Continue" button on next step, to get huge discount.', 'webinarignition' ); ?>
                                    <button
                                            id="wi_activate_freemius"
                                            type="button"
                                            class="btn btn-success btn-xs"
                                    ><?php  _e( 'Yes, show more!', 'webinarignition' ); ?></button>
                                </p>
								<?php
							}

							if (!empty($statusCheck->upgrade_url) && empty($statusCheck->show_freemius_btn)) {
								?>
                                <p><?php  _e( 'If you want more, please upgrade to the Ultimate version (new Freemius license system).', 'webinarignition' ); ?></p>
								<?php
								$pro_url = admin_url('admin.php?billing_cycle=annual&page=webinarignition-dashboard-pricing&plan_name=ultimate_powerup&coupon=4iuw5zifnvwiure7nfio34waynciw47&hide_coupon=true&checkout=true&trial=true');
								$button_text = __('Success Boost & Trial 30 days & Save 100$ NOW!', 'webinarignition');
								if( $promo_expired ) {
									$pro_url = admin_url('admin.php?billing_cycle=annual&page=webinarignition-dashboard-pricing&plan_name=ultimate_powerup&checkout=true&trial=true');
									$button_text = __('Success Boost & Trial 30 days NOW!', 'webinarignition');
								}
								?>
                                <div style="margin: 0 auto; padding: 10px; text-align:center;">
                                    <p><img src="https://webinarignition.com/wp-content/uploads/success-boost-now_no-border.gif" style="width:60%;"></p>
                                    <div style="width: 56%; display: flex; margin: 0 auto;">
                                        <div style="box-sizing: border-box;display: inline-block;">
                                            <a style="margin-right: 10px;" class="wi-button wi-button-secondary" href="https://webinarignition.com/?p=4870&ppt=da853e6d074bedd3d8eb0f8a6d11674e" target="_blank"><?php _e('See what you missing', 'webinarignition'); ?></a>
                                        </div>
                                        <div style="box-sizing: border-box;display: inline-block;">
                                            <a class="wi-button wi-button-primary" href="<?php echo $pro_url; ?>" target="_blank"><?php echo $button_text; ?></a>
	                                        <?php if( !$promo_expired ): ?>
                                                <br>
                                                <small><?php _e('Offer ends 31.12.2022', 'webinarignition'); ?></small>
	                                        <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <br>
								<?php
								if (empty($statusCheck->is_fs)) {
									?>
                                    <p><?php  _e( 'If you already upgraded license but still do not see it, please check your mail box and activate using activation link.', 'webinarignition' ); ?></p>
									<?php
									if (!empty($statusCheck->reconnect_url)) {
										?>
                                        <p>
											<?php echo sprintf( __('If "Account" page not available, click "%s" button below, on next page click "Allow & Continue" button. After this your account page will be available under WebinarIgnition menu..', 'webinarignition' ),  $optin_button_text ); ?>
                                        </p>
										<?php
									} else {
										?>
                                        <p>
											<?php  _e( 'In some cases you need manually sync freemius account info to activate license for your plugin. In order to do this, visit "Account" page and click "Sync" link at the top right corner. Or on plugins page click "Activate license" link below "WebinarIgnition" plugin title.', 'webinarignition' ); ?>
                                        </p>
										<?php
									}
								}
								?>
								<?php
							}

							if (empty($statusCheck->show_freemius_btn)) {
								?>
                                <p>
									<?php  _e( 'Disable freemius at all and stay with your old license.', 'webinarignition' ); ?>
                                    <button
                                            id="wi_activate_freemius"
                                            type="button"
                                            class="btn btn-success btn-xs"
                                    ><?php  _e( 'Disable Freemius', 'webinarignition' ); ?></button>
                                </p>
								<?php
							}
							?>
                        </div>

						<?php
						if (!empty($statusCheck->upgrade_url) || !empty($statusCheck->trial_url)) {
							?>
                            <div class="unlockTitle3">
								<?php
								if ( !empty($statusCheck->reconnect_url) ) {
									?>
                                    <a href="<?php echo $statusCheck->reconnect_url; ?>" class="btn btn-primary btn-lg">
	                                    <?php echo $optin_button_text; ?>
                                    </a>
									<?php
								}

//								webinarignition_display_upgrade_buttons($statusCheck);
								?>
                            </div>
							<?php
						}
					}
					?>
                </div>
            </div>
			<?php
		} elseif ($statusCheck->switch == "pro") { // Pro License
			?>
            <div id="container">
                <div class="unlockTitle noBorder">
					<?php
					webinarignition_display_dev_info_section($statusCheck);
					webinarignition_display_manage_license_form($statusCheck);

					if (!isset($input_get['id']) && !isset($input_get['create'])) {
						if (!empty($statusCheck->upgrade_url) || !empty($statusCheck->show_freemius_btn)) {
							?>
                            <div class="unlockTitle3">
								<?php
								if (!empty($statusCheck->upgrade_url) && empty($statusCheck->show_freemius_btn)) {
									?>
                                    <p><?php  _e( 'If you want more, please upgrade to Ultimate version (new Freemius license system)..', 'webinarignition' ); ?></p>
									<?php
									$pro_url = admin_url('admin.php?billing_cycle=annual&page=webinarignition-dashboard-pricing&plan_name=ultimate_powerup&coupon=4iuw5zifnvwiure7nfio34waynciw47&hide_coupon=true&checkout=true&trial=true');
									$button_text = __('Success Boost & Trial 30 days & Save 100$ NOW!', 'webinarignition');
									if( $promo_expired ) {
										$pro_url = admin_url('admin.php?billing_cycle=annual&page=webinarignition-dashboard-pricing&plan_name=ultimate_powerup&checkout=true&trial=true');
										$button_text = __('Success Boost & Trial 30 days NOW!', 'webinarignition');
									}
									?>
                                    <div style="margin: 0 auto; padding: 10px; text-align:center;">
                                        <p><img src="https://webinarignition.com/wp-content/uploads/success-boost-now_no-border.gif" style="width:60%;"></p>
                                        <div style="width: 76%; display: flex; margin: 0 auto;">
                                            <div style="box-sizing: border-box;display: inline-block;">
                                                <a style="margin-right: 10px;" class="wi-button wi-button-secondary" href="https://webinarignition.com/old-vs-new-compare/?ppt=6e66366183bd7117c873b07f7dca7c09" target="_blank"><?php _e('See why upgrading is essential before version 3', 'webinarignition'); ?></a>
                                            </div>
                                            <div style="box-sizing: border-box;display: inline-block;">
                                                <a class="wi-button wi-button-primary" href="<?php echo $pro_url; ?>" target="_blank"><?php echo $button_text; ?></a>
												<?php if( !$promo_expired ): ?>
                                                    <br>
                                                    <small><?php _e('Offer ends 31.12.2022', 'webinarignition'); ?></small>
												<?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                    <br>
                                    <?php
									if (empty($statusCheck->is_fs)) {
										?>
                                        <p>
											<?php  _e( 'If you already upgraded license but still do not see it, please check your mail box and activate using activation link.', 'webinarignition' ); ?>
                                        </p>
										<?php
										if (!empty($statusCheck->reconnect_url)) {
											?>
                                            <p>
												<?php echo sprintf( __('If "Account" page not available, click "%s" button below, on next page click "Allow & Continue" button. After this your account page will be available under WebinarIgnition menu..', 'webinarignition' ),  $optin_button_text ); ?>
                                            </p>
											<?php
										} else {
											?>
                                            <p>
												<?php  _e( 'In some cases you need manually sync freemius account info to activate license for your plugin. In order to do this, visit "Account" page and click "Sync" link at the top right corner. Or on plugins page click "Activate license" link below "WebinarIgnition" plugin title.', 'webinarignition' ); ?>
                                            </p>
											<?php
										}
									}
									?>
									<?php
								}
								if (!empty($statusCheck->show_freemius_btn)) {
									?>
                                    <p><?php  _e( 'If you want more, please upgrade to Ultimate version (new Freemius license system)..', 'webinarignition' ); ?></p>
                                    <div style="width: 60%;margin: 0 auto; padding: 10px;">
                                        <p><img src="https://webinarignition.com/wp-content/uploads/success-boost-now_no-border.gif" width="100%"></p>
                                    </div>
                                    <p>
										<?php  _e( 'We have a special offer just for you. Are you interested?', 'webinarignition' ); ?>
                                    </p>
                                    <p>
										<?php  _e( 'Please, click "Allow & Continue" button on next step, to get huge discount.', 'webinarignition' ); ?>
                                        <button
                                                id="wi_activate_freemius"
                                                type="button"
                                                class="btn btn-success btn-xs"
                                        ><?php  _e( 'Yes, show more!', 'webinarignition' ); ?></button>
                                    </p>
									<?php
								} else {
									?>
                                    <p>
										<?php  _e( 'Disable freemius at all and stay with your old license.', 'webinarignition' ); ?>
                                        <button
                                                id="wi_activate_freemius"
                                                type="button"
                                                class="btn btn-success btn-xs"
                                        ><?php  _e( 'Disable Freemius', 'webinarignition' ); ?></button>
                                    </p>
									<?php
								}
								?>
                            </div>
							<?php
						}

						if (!empty($statusCheck->upgrade_url) || !empty($statusCheck->trial_url)) {
							?>
                            <div class="unlockTitle3">
								<?php
								if ( !empty($statusCheck->reconnect_url) ) {
									?>
                                    <a href="<?php echo $statusCheck->reconnect_url; ?>" class="btn btn-primary btn-lg">
	                                    <?php echo $optin_button_text; ?>
                                    </a>
									<?php
								}

//								webinarignition_display_upgrade_buttons($statusCheck);
								?>
                            </div>
							<?php
						}
					}
					?>
                </div>
            </div>
			<?php
		} else { // Ultimate License
			if (!empty($statusCheck->is_dev)) {
				?>
                <div id="container">
                    <div class="unlockTitle noBorder">
                        <div class="unlockTitle2">
                            <span style="font-size: 14px;font-weight: normal;">
                                <?php echo !empty($statusCheck->is_dev) ? ' (DEV Mode)' : ''; ?>
                                <?php echo " (branch: ".WEBINARIGNITION_BRANCH.", v.".WEBINARIGNITION_VERSION.")"; ?>
                            </span>
                        </div>
                    </div>
                </div>
				<?php
			}
		}
		?>
        <div id="container">
			<?php
			// Edit App
			if (isset($input_get['id'])) {
				include("editapp.php");
			} // Create New App
			else if (isset($input_get['create'])) {
				include("create.php");
			} // Show Dashboard ::
			else {
				include("dash.php");
			}
			?>

        </div>
		<?php

		?>
    </div>
	<?php
// END
}
