<?php
/**
 * Class WebinarignitionLicense
 * ($username == 'dks') && ($license_key == 'seropt4n0zxdfkv')
 */

class WebinarignitionLicense {
    private static $license_check_timeout = 6 * 60 * 60;
    private static $activation_url = 'https://webinarignition.com/wp-content/plugins/wikeygen/inc/response.php';
    private static $free_trial_limit = 500;

    public static function get_activation_url() {
        return self::$activation_url;
    }

    public static function get_status_check($type = 'OBJECT') {
        global $wpdb;

        $table_name = $wpdb->prefix . "webinarignition_wi";
        $table_exists = $wpdb->get_var("SHOW TABLES LIKE '{$table_name}'");

        if (!$table_exists) {
            return false;
        }

        $table_db_name = $wpdb->prefix . "webinarignition_wi";
        $statusCheck = $wpdb->get_row("SELECT * FROM $table_db_name LIMIT 1", $type);
        $activate_freemius = get_option('webinarignition_activate_freemius');

        if (!empty($statusCheck)) {
            if (!empty($activate_freemius)) {
                $statusCheck->activate_freemius = true;
            }
        } else {
            if (!empty($activate_freemius)) {
                delete_option('webinarignition_activate_freemius');
            }
        }

        return $statusCheck;
    }

    public static function get_license_level() {
        $is_dev = self::is_dev();

        $license = array(
            'switch' => 'free',
            'slug' => 'free',
            'licensor' => false,
            'is_free' => true,
            'is_premium' => false,
            'is_dev' => $is_dev,
            'is_registered' => false,
            'title' => __( 'Free', 'webinarignition' ),
            'member_area' => 'https://webinarignition.com/?p=4870&ppt=da853e6d074bedd3d8eb0f8a6d11674e',
        );

        global $wpdb;
        $activate_freemius = get_option('webinarignition_activate_freemius');

        $table_db_name = $wpdb->prefix . "webinarignition_wi";
        $statusesCheck = $wpdb->get_results("SELECT * FROM {$table_db_name} ORDER BY ID DESC", ARRAY_A);
        $current_level = 'free';

        if (!empty($statusesCheck)) {
            $statusCheck = $statusesCheck[0];
            unset($statusesCheck[0]);

            if (!empty($statusesCheck)) {
                foreach ($statusesCheck as $i => $item) {
                    self::remove_webinarignition_license($item['ID']);
                    unset($statusesCheck[$i]);
                }
            }

            $switch = !empty($statusCheck['switch']) ? $statusCheck['switch'] : 'free';
            $keyused = !empty($statusCheck['keyused']) ? $statusCheck['keyused'] : '';

            if (
                strpos($statusCheck['switch'], 'WebinarExpress - Full Access') !== false ||
                strpos($statusCheck['switch'], 'WebinarIgnition - Enterprise Level   Premium Content') !== false ||
                strpos($statusCheck['switch'], 'WebinarIgnition - Enterprise Level (Personal Unlimited)') !== false
            ) {
                $switch = 'enterprise';
            } elseif (
                strpos($statusCheck['switch'], 'WebinarIgnition - Pro Level (3 Site Install)') !== false ||
                (int) $statusCheck['switch'] === 1
            ) {
                $switch = 'pro';
            } else {
                $switch_array = explode(' - ', $switch);

                if (count($switch_array) > 1) {
                    $switch = $switch_array[0];
                }
            }

            $license = array(
                'switch' => self::get_switch_by_slug($switch),
                'slug' => $switch,
                'is_fs' => false,
                'is_free' => false,
                'is_registered' => false,
                'is_premium' => true,
                'keyused' => $keyused,
                'title' => self::get_title_by_slug($switch),
                'is_dev' => $is_dev,
                'member_area' => 'https://webinarignition.com/?p=4870&ppt=da853e6d074bedd3d8eb0f8a6d11674e',
                'statusesCheck' => $statusesCheck,
            );

            if (empty($activate_freemius)) {
                $license['show_freemius_btn'] = true;
            }

            $current_level = $license['switch'];

            if (self::is_dev()) {
                $license['show_dis_license'] = true;
            }
        }

        if (function_exists('webinarignition_fs')) {
            // Check if registered
            $is_registered = webinarignition_fs()->is_registered() && webinarignition_fs()->is_tracking_allowed();
            $license['is_registered'] = $is_registered;

            if (!$is_registered) {
                $reconnect_url = webinarignition_fs()->get_activation_url( array(
                    'nonce'     => wp_create_nonce( webinarignition_fs()->get_unique_affix() . '_reconnect' ),
                    'fs_action' => ( webinarignition_fs()->get_unique_affix() . '_reconnect' ),
                ) );
            } else {
                $account_url = webinarignition_fs()->get_account_url();
            }

            $upgrade_url = webinarignition_fs()->get_upgrade_url();
            $trial_url = webinarignition_fs()->get_trial_url();

            $plan_name = webinarignition_fs()->get_plan_name();
            $is_free_plan = webinarignition_fs()->is_free_plan();
            $is_paying = webinarignition_fs()->is_paying();
            $is_trial = webinarignition_fs()->is_trial();
            $is_paid_trial = webinarignition_fs()->is_paid_trial();
            $freemius_switch = self::get_switch_by_slug($plan_name, $is_trial);

            /**
             * Current user already bought some plan
             * we need to make sure that WI.com license is cleared
             */
            if ('free' !== $freemius_switch) {
                $license = array(
                    'switch' => $freemius_switch,
                    'is_fs' => true,
                    'is_free' => $is_free_plan,
                    'is_paying' => $is_paying,
                    'title' => self::get_title_by_slug($plan_name, $is_trial), // Human readable
                    'name' => $plan_name, // slug
                    'is_dev' => $is_dev,
                    'is_trial' => $is_trial,
                    'is_paid_trial' => $is_paid_trial,
                    'is_registered' => $is_registered,
                );

                if ($is_dev && 'free' === $license['switch']) $license['show_enab_license'] = true;
                if (!empty($reconnect_url)) $license['reconnect_url'] = $reconnect_url;
                if (!empty($account_url)) $license['account_url'] = $account_url;
                if (!empty($upgrade_url)) $license['upgrade_url'] = $upgrade_url;
                if (!empty($trial_url) && !$is_trial) $license['trial_url'] = $trial_url;

                // Clean
                if ($activate_freemius) delete_option('webinarignition_activate_freemius');
                if (!empty($statusCheck)) self::remove_webinarignition_license();
            } else { // no plan for this user so we use WI.com license
                if ($is_dev && 'free' === $license['switch']) $license['show_enab_license'] = true;
                if (!empty($upgrade_url)) $license['upgrade_url'] = $upgrade_url;
                if (!empty($trial_url) && !$is_paying && !$is_trial) $license['trial_url'] = $trial_url;
                if (!empty($is_trial)) {
                    $license['is_trial'] = $upgrade_url;
                    $license['title'] = self::get_title_by_slug('ultimate_powerup', $is_trial);
                }
                if (!empty($reconnect_url)) $license['reconnect_url'] = $reconnect_url;
                if (!empty($account_url)) $license['account_url'] = $account_url;
            }
        }

        $object = new stdClass();
        foreach ($license as $key => $value) {
            $object->$key = $value;
        }

        return $object;
    }

    public static function webinarignition_activate($license_key, $resp = null) {
        global $wpdb;
        $table_db_name = $wpdb->prefix . "webinarignition_wi";

        if (empty($license_key)) {
            self::remove_webinarignition_license();
        } else {
            if (!empty($resp->level)) {
                $wpdb->insert($table_db_name, array('switch' => $resp->level, 'keyused' => $license_key ));
            } else {
                $wpdb->insert($table_db_name, array('switch' => "pro", 'keyused' => $license_key ));
            }
        }

    }

    public static function remove_webinarignition_license($ID = null) {
        global $wpdb;
        $table_db_name = $wpdb->prefix . "webinarignition_wi";

        if (empty($ID)) {
            $wpdb->query( "DELETE FROM {$table_db_name}" );
        } else {
            $wpdb->query( "DELETE FROM {$table_db_name} WHERE ID = {$ID}" );
        }

        return true;
    }

    public static function add_webinarignition_license($level = 'basic') {
        global $wpdb;
        $table_db_name = $wpdb->prefix . "webinarignition_wi";
        $wpdb->insert($table_db_name, array('switch' => $level, 'keyused' => 'seropt4n0zxdfkv' ));

        return true;
    }

    public static function is_webinar_enabled($type) {
        $type = strtolower($type);

        if ('live' === $type) {
            return true;
        }

        $statusCheck = WebinarignitionLicense::get_license_level();

        if (empty($statusCheck) || $statusCheck->switch === 'free') {
            if (empty($statusCheck->is_registered)) {
                return false;
            }
        } elseif ($statusCheck->switch === "basic") {
            return false;
        }

        return true;
    }

    public static function is_webinar_available($webinar_id, $webinar_data = false) {
        $statusCheck = WebinarignitionLicense::get_license_level();
        if (empty($webinar_data)) {
            $webinar_data = WebinarignitionManager::get_webinar_data($webinar_id);
        }

        if (empty($statusCheck) || $statusCheck->switch === 'free') {
            if ($webinar_data->webinar_date === "AUTO") {
                if (empty($statusCheck->is_registered)) {
                    return array(
                        'available' => false
                    );
                }
                if (self::is_free_limit_reached()) {
                    return array(
                        'available' => false
                    );
                }
            }
        } elseif ($statusCheck->switch === "basic") {
            if ($webinar_data->webinar_date == "AUTO") {
                // if (self::is_free_limit_reached()) {
                    return array(
                        'available' => false
                    );
                // }
            }
        }

        return array(
            'available' => true
        );
    }

    #--------------------------------------------------------------------------------
    #region Free Limitation
    #--------------------------------------------------------------------------------

    public static function free_limitation() {
        $is_ajax = defined( 'DOING_AJAX' ) && DOING_AJAX;

        if (!$is_ajax) {
            $is_limit_set = get_transient('webinarignition_free_limit_set');

            if (!$is_limit_set) {
                $limit_set = self::set_free_limitation();

                if ($limit_set) {
                    set_transient('webinarignition_free_limit_set', 1, self::$license_check_timeout);
                }
            }

            self::reset_free_limit_counter();
        }
    }

    public static function get_free_limit_counter() {
        global $wpdb;

        $user_count_sql = "SELECT option_value FROM {$wpdb->options} WHERE option_name IN ('webinarignition_free_limit_count')";
        $user_count = $wpdb->get_var( $user_count_sql );
        $user_count = (int) $user_count;

        return $user_count;
    }

    public static function is_free_limit_reached() {
        $statusCheck = WebinarignitionLicense::get_license_level();

        if (!empty($statusCheck) && $statusCheck->switch !== 'free' && $statusCheck->switch !== 'basic') {
            return false;
        }

        $is_trial = !empty($statusCheck->is_trial);

        $user_count = self::get_free_limit_counter();
        $limit_settings_decoded = self::get_free_limitation_settings();
        $free_limit = $is_trial ? self::$free_trial_limit : (int) $limit_settings_decoded['limit_users'];

        if ($free_limit > $user_count) {
            return false;
        }

        return true;
    }

    public static function get_free_limitation_settings() {
        global $wpdb;

        $limit_settings_sql = "SELECT option_value FROM {$wpdb->options} WHERE option_name IN ('webinarignition_free_limitation')";
        $limit_settings = $wpdb->get_var( $limit_settings_sql );

        if (empty($limit_settings)) {
            self::set_free_limitation();

            $limit_settings_sql = "SELECT option_value FROM {$wpdb->options} WHERE option_name IN ('webinarignition_free_limitation')";
            $limit_settings = $wpdb->get_var( $limit_settings_sql );
        }

        $limit_settings_decoded = unserialize($limit_settings);

        if (empty($limit_settings_decoded['limit_users']) || empty($limit_settings_decoded['limit_message']) || empty($limit_settings_decoded['limit_days'])) {
            self::set_free_limitation();

            $limit_settings_sql = "SELECT option_value FROM {$wpdb->options} WHERE option_name IN ('webinarignition_free_limitation')";
            $limit_settings = $wpdb->get_var( $limit_settings_sql );

            $limit_settings_decoded = unserialize($limit_settings);
        }

        return $limit_settings_decoded;
    }

    public static function increment_free_limit_counter() {
        $statusCheck = WebinarignitionLicense::get_license_level();
        if (!empty($statusCheck) && $statusCheck->switch !== 'free' && $statusCheck->switch !== 'basic') return true;

        global $wpdb;

        $user_count_sql = "SELECT option_value FROM {$wpdb->options} WHERE option_name IN ('webinarignition_free_limit_count')";
        $user_count = $wpdb->get_var( $user_count_sql );

        $limit_count_timeout_sql = "SELECT option_value FROM {$wpdb->options} WHERE option_name IN ('webinarignition_free_limit_timeout')";
        $limit_count_timeout = $wpdb->get_var( $limit_count_timeout_sql );

        $limit_settings_decoded = self::get_free_limitation_settings();
        $limit_days = $limit_settings_decoded['limit_days'];

        if (empty($user_count) || empty($limit_count_timeout)) {
            $timeout = time() + 60 * 60 * 24 * $limit_days;
            $wpdb->delete( $wpdb->options, array('option_name' => 'webinarignition_free_limit_timeout') );

            $wpdb->insert( $wpdb->options,
                array( 'option_name' => 'webinarignition_free_limit_timeout', 'option_value' => $timeout, ),
                array( '%s', '%d' )
            );
        }

        $user_count = (int) $user_count + 1;
        $wpdb->delete( $wpdb->options, array('option_name' => 'webinarignition_free_limit_count') );

        $wpdb->insert( $wpdb->options,
            array( 'option_name' => 'webinarignition_free_limit_count', 'option_value' => $user_count, ),
            array( '%s', '%d' )
        );

        return true;
    }

    public static function reset_free_limit_counter() {
        $limit_count_timeout = get_option('webinarignition_free_limit_timeout');

        if (!$limit_count_timeout) return true;
        if (time() > (int) $limit_count_timeout) self::remove_free_limit_counter();

        return true;
    }

    public static function remove_free_limit_counter() {
        delete_option('webinarignition_free_limit_count');
        delete_option('webinarignition_free_limit_timeout');

        return true;
    }

    public static function set_free_limitation() {
        $free_limitation = get_option('webinarignition_free_limitation');

        if (!empty($free_limitation['limit_users']) && !empty($free_limitation['limit_message']) && !empty($free_limitation['limit_days'])) {
            return true;
        }

        if (false) {
            $response = wp_remote_get("https://www.klick-tipp.com/api/split/1dg2z7uaz1fzkz58a6?ip=".$_SERVER["REMOTE_ADDR"]."&cookie=".(isset($_COOKIE["KTSTC50Z59362"]) ? $_COOKIE["KTSTC50Z59362"] : -1)."");

            if (is_wp_error($response) || wp_remote_retrieve_response_code( $response ) !== 200) {
                $settings_array = explode(' ', '50 10 30');
            } else {
                $body = sanitize_text_field(wp_remote_retrieve_body( $response ));

                $settings_array = explode(' ', $body);
            }
        } else {
            $settings_array = explode(' ', '50 10 30');
        }

        $free_limitation = array(
            'limit_users' => $settings_array[0],
            'limit_message' => $settings_array[1],
            'limit_days' => $settings_array[2],
        );

        update_option('webinarignition_free_limitation', $free_limitation);
    }

    public static function get_free_limitation_message() {
        $statusCheck = WebinarignitionLicense::get_license_level();

        if (!empty($statusCheck) && $statusCheck->switch !== 'free' && $statusCheck->switch !== 'basic') {
            return '';
        }

        $settings = self::get_free_limitation_settings();
        $is_trial = !empty($statusCheck->is_trial);
        $user_limit = $is_trial ? self::$free_trial_limit : $settings['limit_users'];
        $days_limit = $settings['limit_days'];
        $limit_message = $settings['limit_message'];
        $user_count = self::get_free_limit_counter();
        $user_count_timeout = get_option('webinarignition_free_limit_timeout', 0);
        $timeout_label = '';
	    $optin_button_text = __( 'Opt-in to see: Account, Free Trial & Evergreen', 'webinarignition' );

        if (!empty($user_count_timeout)) {
            $user_count_timeout_left = $user_count_timeout - time();

            if ($user_count_timeout_left > 86400) {
                $timeout_left = ceil($user_count_timeout_left / 86400);
                $timeout_label = $timeout_left . ' ' . __(' days', 'webinarignition');
            } else {
                $timeout_left = ceil($user_count_timeout_left / 3600);
                $timeout_label = $timeout_left . ' ' . __(' hours', 'webinarignition');
            }
        }

        $user_left = (int) $user_limit - (int) $user_count;

	    $string = '<p>';
	    $string .= __( 'In Free version: You can create unlimited Live webinars with unlimited registrations, but with old webinar room design.', 'webinarignition' ) .'<br>';
	    $string .= ' ' . __( 'In Ultimate version: You have multiple evergreen Call-to-Actions to boost your sales', 'webinarignition' ) .'<br>';
	    $string .= ' ' . __( 'In Ultimate version: Shortcodes to layout and design your live and evergreen webinar individually.', 'webinarignition' );
	    $string .= '</p>';

	    $string .= '<p style="color: #f6b401;">';
	    if (!empty($statusCheck->is_registered)) {
		    $string .=  ' ';
		    $string .=  sprintf(__( 'In Free version: Evergreen webinars have limited registrations up to %s per %s days.', 'webinarignition' ), $user_limit, $days_limit );
		    $string .=  '<br>';
		    $string .= ' ' . __( 'In Ultimate version: You have unlimited evergreen registrations.', 'webinarignition' );
		    $string .=  '<br>';
	    } else {
		    $string .= sprintf( __( 'Please click "%s" button at the top right corner, click "Allow & Continue" button on next page to get:', 'webinarignition' ), $optin_button_text ) .'<br>';
		    $string .= ' &bull; ' . __( 'Option to try all features for FREE on both Live & Evergreen webinars', 'webinarignition') . '<br>';
		    $string .= ' &bull; ' . __( 'Multiple Call-to-Actions to boost your sales by showing relevant content on your webinar room video overlay or sidebar', 'webinarignition') . '<br>';
		    $string .= ' &bull; ' . __( 'Customize the design of your webinar pages separately by using shortcodes', 'webinarignition') . '<br>';
		    $string .= ' &bull; ' . __( 'Send data to your CRM, or other third-party services using Webhooks', 'webinarignition') . '<br>';
		    $string .= ' &bull; ' . __( 'New webinar room design with flexible sidebar', 'webinarignition') . '<br>';
		    $string .= ' &bull; ' . sprintf( __( 'Checkout our <a href="%s" target="_blank">homepage</a> to see all existing and upcoming features', 'webinarignition'), 'https://webinarignition.com/') . '<br>';
	    }
	    $string .= '</p>';

        $string .= '<p>';
        if (0 > $user_left || 0 === $user_left) {
            $string .= __( 'Webinar registration for Evergreen webinars stopped!', 'webinarignition' );

            if (!empty($timeout_label)) {
                $string .=  sprintf(__( 'Wait %s without new registrations.', 'webinarignition' ), $timeout_label );
            }
        } else {
            if (!empty($user_count)) {
                $string .=  sprintf(__( 'You already have %d registrations for Evergreen webinars out of %d.', 'webinarignition'), absint($user_count), absint($user_limit) );
            }

            if (!empty($timeout_label)) {
                $string .= ' ';
                $string .= sprintf(__( 'Limit will be reset in %s.', 'webinarignition' ) , $timeout_label );
            }
        }
        $string .= '</p>';

        return $string;
    }

    #endregion

    #--------------------------------------------------------------------------------
    #region Helpers
    #--------------------------------------------------------------------------------

    private static function get_switch_by_slug($slug, $is_trial = false) {
        if ($is_trial) {
            $slug = 'free';
        }

        switch ($slug) {
            case 'enterprise_powerup':
            case 'ultimate_powerup':
                return 'enterprise_powerup';
            case 'enterprise':
            case 'pro':
            case 'premium':
            case 'onetimepro':
                return 'pro';
            case 'basic':
            case 'onetime_basic':
                return 'basic';
            default:
                return 'free';
        }
    }

    private static function get_title_by_slug($slug, $is_trial = false) {
        switch ($slug) {
            case 'enterprise_powerup':
            case 'ultimate_powerup':
                if ($is_trial) {
                    return __( 'Ultimate', 'webinarignition' ) . ' (' . __( '30 days trial', 'webinarignition' ) . ')';
                }
                return __( 'Ultimate', 'webinarignition' );
            case 'enterprise':
            case 'premium':
            case 'pro':
            case 'onetimepro':
                return __( 'Enterprise', 'webinarignition' );
            case 'basic':
            case 'onetime_basic':
                return __( 'Basic', 'webinarignition' );
            default:
                return __( 'Free', 'webinarignition' );
        }
    }

    public static function is_dev() {
        return defined('WEBINARIGNITIN_DEV_MODE') && WEBINARIGNITIN_DEV_MODE;
    }

    #endregion
}
